diff --git a/convert2rhel/checks.py b/convert2rhel/checks.py
index 47bb9be..33b274b 100644
--- a/convert2rhel/checks.py
+++ b/convert2rhel/checks.py
@@ -27,6 +27,7 @@ import rpm
 import convert2rhel
 
 from convert2rhel import __version__ as convert2rhel_version
+
 from convert2rhel import grub, pkgmanager, utils
 from convert2rhel.pkghandler import (
     call_yum_cmd,
diff --git a/convert2rhel/unit_tests/checks_test.py b/convert2rhel/unit_tests/checks_test.py
index 9809da8..a2ef5d1 100644
--- a/convert2rhel/unit_tests/checks_test.py
+++ b/convert2rhel/unit_tests/checks_test.py
@@ -175,7 +175,7 @@ def test_pre_ponr_checks(monkeypatch):
 )
 def test_offline_version(caplog, monkeypatch, tmpdir, request):
     marker = request.node.get_closest_marker("convert2rhel_version")
-    monkeypatch.setattr(convert2rhel, "__version__", marker.args[0]["local_version"])
+    monkeypatch.setattr(checks, "convert2rhel_version", marker.args[0]["local_version"])
 
     run_subprocess_mocked = mock.Mock(spec=run_subprocess, return_value=(marker.args[0]["package_version"], 1))
 
@@ -191,29 +191,36 @@ def test_offline_version(caplog, monkeypatch, tmpdir, request):
 
 @pytest.fixture
 def convert2rhel_latest_t(monkeypatch, tmpdir, request):
-    marker = request.node.get_closest_marker("convert2rhel_version")
-    monkeypatch.setattr(convert2rhel, "__version__", marker.args[0]["local_version"])
+    marker = request.param
+    monkeypatch.setattr(checks, "convert2rhel_version", marker["local_version"])
 
-    run_subprocess_mocked = mock.Mock(spec=run_subprocess, return_value=(marker.args[0]["package_version"], 0))
+    run_subprocess_mocked = mock.Mock(spec=run_subprocess, return_value=(marker["package_version"], 0))
 
     monkeypatch.setattr(checks, "run_subprocess", run_subprocess_mocked)
-    monkeypatch.setattr(system_info, "version", namedtuple("Version", ["major", "minor"])(marker.args[0]["pmajor"], 0))
+    monkeypatch.setattr(system_info, "version", namedtuple("Version", ["major", "minor"])(marker["pmajor"], 0))
     monkeypatch.setattr(utils, "TMP_DIR", str(tmpdir))
+
+    return marker["local_version"], marker["package_version"]
     # mock_ver_comp = mock.patch.object(
     #       checks, 'ver_comp', ver_comp=int(1)
     #   )
 
 
-@pytest.mark.convert2rhel_version(
-    {"local_version": "0.21", "package_version": "convert2rhel-0:0.22-1.el7.noarch", "pmajor": "6"}
+@pytest.mark.parametrize(
+    ("convert2rhel_latest_t",),
+    (
+        [{"local_version": "0.21", "package_version": "convert2rhel-0:0.22-1.el7.noarch", "pmajor": "6"}],
+    ),
+    indirect=True
 )
 def test_convert2rhel_latest(caplog, convert2rhel_latest_t):
     checks.check_convert2rhel_latest()
 
+    local_version, dummy_ = convert2rhel_latest_t
     log_msg = (
-        "You are currently running 0.25 and the latest version of convert2rhel is 0.22.\n"
+        "You are currently running %s and the latest version of convert2rhel is 0.22.\n"
         "Only the latest version is supported for conversion. If you want to ignore"
-        " this you can set 'CONVERT2RHEL_UNSUPPORTED_VERSION' to continue"
+        " this you can set 'CONVERT2RHEL_UNSUPPORTED_VERSION' to continue" % local_version
     )
     assert log_msg in caplog.text
 
@@ -225,26 +232,29 @@ def test_convert2rhel_latest_log_check_exit(caplog, convert2rhel_latest_t):
     with pytest.raises(SystemExit):
         checks.check_convert2rhel_latest()
 
-    log_msg = "You are currently running 0.25 and the latest version of convert2rhel is 0.22.\n" "change message"
+    log_msg = "You are currently running 0.21 and the latest version of convert2rhel is 0.22.\n" "change message"
     assert log_msg in caplog.text
 
 
-@pytest.mark.convert2rhel_version(
-    {"local_version": "0.18", "package_version": "convert2rhel-0:0.22-1.el7.noarch", "pmajor": "6", "enset": "1"}
-)
-@pytest.mark.convert2rhel_version(
-    {"local_version": "0.21", "package_version": "convert2rhel-0:0.22-1.el7.noarch", "pmajor": "7", "enset": "1"}
-)
-@pytest.mark.convert2rhel_version(
-    {"local_version": "0.05", "package_version": "convert2rhel-0:0.22-1.el7.noarch", "pmajor": "8", "enset": "1"}
+@pytest.mark.parametrize(
+    ("convert2rhel_latest_t",),
+    (
+        [{"local_version": "0.18", "package_version": "convert2rhel-0:0.22-1.el7.noarch", "pmajor": "6", "enset": "1"}],
+        [{"local_version": "0.21", "package_version": "convert2rhel-0:0.22-1.el7.noarch", "pmajor": "7", "enset": "1"}],
+        [{"local_version": "0.05", "package_version": "convert2rhel-0:0.22-1.el7.noarch", "pmajor": "8", "enset": "1"}],
+    ),
+    indirect=True
 )
+
 @unit_tests.mock(os, "environ", {"CONVERT2RHEL_UNSUPPORTED_VERSION": "1"})
 def test_convert2rhel_latest_log_check_env(caplog, convert2rhel_latest_t):
     checks.check_convert2rhel_latest()
 
+    local_version, dummy_ = convert2rhel_latest_t
     log_msg = (
-        "You are currently running 0.25 and the latest version of convert2rhel is 0.22.\n"
-        "'CONVERT2RHEL_UNSUPPORTED_VERSION' environment detected, continuing conversion"
+        "You are currently running %s and the latest version of convert2rhel is 0.22.\n"
+        "'CONVERT2RHEL_UNSUPPORTED_VERSION' environment detected, continuing conversion" %
+        local_version
     )
     assert log_msg in caplog.text
 
